<template>
  <div>
    <iframe
      v-if="isValidUrl()"
      :src="String($route.query.url)"
      frameborder="0"
      class="embed-responsive-item"
      style="height: 89vh; width: 100%"
      scrolling="yes"
    ></iframe>
  </div>
</template>
<script lang="ts" setup>
const route = useRoute();
const isValidUrl = () => {
  const inputElement = document.createElement("input");
  inputElement.type = "url";
  inputElement.value = String(route.query.url);

  if (!inputElement.checkValidity()) {
    return false;
  } else {
    return true;
  }
};
</script>
